searchData={"items":[{"type":"module","title":"OurskyClient","doc":"Documentation for `OurskyClient`.","ref":"OurskyClient.html"},{"type":"function","title":"OurskyClient.set_access_token/1","doc":"Set access token for the client.","ref":"OurskyClient.html#set_access_token/1"},{"type":"function","title":"Examples - OurskyClient.set_access_token/1","doc":"iex> OurskyClient.set_access_token(\"token\")\n    :ok","ref":"OurskyClient.html#set_access_token/1-examples"},{"type":"module","title":"OurskyClient.Sda","doc":"Client for the OurSky SDA API https://api.prod.oursky.ai/docs/sda","ref":"OurskyClient.Sda.html"},{"type":"function","title":"OurskyClient.Sda.cancel_plane_scan/1","doc":"Cancel a plane scan given its UUID","ref":"OurskyClient.Sda.html#cancel_plane_scan/1"},{"type":"function","title":"Parameters - OurskyClient.Sda.cancel_plane_scan/1","doc":"- `scan_uuid`: The UUID of the scan","ref":"OurskyClient.Sda.html#cancel_plane_scan/1-parameters"},{"type":"function","title":"OurskyClient.Sda.cancel_volumetric_search/1","doc":"Cancel a volumetric search given its UUID","ref":"OurskyClient.Sda.html#cancel_volumetric_search/1"},{"type":"function","title":"Parameters - OurskyClient.Sda.cancel_volumetric_search/1","doc":"- `search_uuid`: The UUID of the search","ref":"OurskyClient.Sda.html#cancel_volumetric_search/1-parameters"},{"type":"function","title":"OurskyClient.Sda.create_target/4","doc":"Create a custom target for your organization using a two-line element set (TLE)","ref":"OurskyClient.Sda.html#create_target/4"},{"type":"function","title":"Parameters - OurskyClient.Sda.create_target/4","doc":"- `tle_line_1`: The first line of the TLE\n- `tle_line_2`: The second line of the TLE\n- `name`: The name of the target","ref":"OurskyClient.Sda.html#create_target/4-parameters"},{"type":"function","title":"Options - OurskyClient.Sda.create_target/4","doc":"- `:mass` - Mass in kg (default: 100.0)\n- `:area` - Cross-sectional area in square meters (default: 1.0)\n- `:reflection_coefficient` - Reflection coefficient (default: 0.2)\n- `:linked_target_id` - UUID of linked target (default: nil)","ref":"OurskyClient.Sda.html#create_target/4-options"},{"type":"function","title":"Examples - OurskyClient.Sda.create_target/4","doc":"iex> OurskyClient.Sda.create_target(\n    ...>   \"1 25544U 98067A   25080.55743056  .00026289  00000-0  47116-3 0  9999\",\n    ...>   \"2 25544  51.6381  21.0488 0004053  35.5022 296.1249 15.49747147501567\",\n    ...>   \"ISS (ZARYA)\",\n    ...>   mass: 420000.0,\n    ...>   area: 160.0\n    ...> )\n    {:ok, \"6e801835-4aae-4b78-9741-f10fbab472db\"}","ref":"OurskyClient.Sda.html#create_target/4-examples"},{"type":"function","title":"OurskyClient.Sda.get_node_properties/1","doc":"Get node properties given a node's UUID (found in observation sequence results)","ref":"OurskyClient.Sda.html#get_node_properties/1"},{"type":"function","title":"Examples - OurskyClient.Sda.get_node_properties/1","doc":"iex> OurskyClient.Sda.get_node_properties(\"3be53422-5c54-413c-9a54-2a8e73c0ed27\")\n    {:ok,\n    %OurskyClient.Sda.Node{\n      id: \"3be53422-5c54-413c-9a54-2a8e73c0ed27\",\n      gps_timestamps: false,\n      location: %{latitude: 52.200239, longitude: 6.857524, altitude: 30.0},\n      mount_type: \"EQUITORIAL\",\n      ota_aperture_mm: 207,\n      ota_focal_length_mm: 831,\n      pixel_size_microns: 4.78,\n      focuser_travel_distance_mm: nil,\n      shutter_type: \"ROLLING\",\n      megapixels: 16.236096\n    }}","ref":"OurskyClient.Sda.html#get_node_properties/1-examples"},{"type":"function","title":"OurskyClient.Sda.get_observation_sequence_results/3","doc":"Get observation sequence results for a given target UUID\n - If you intend to receive many observations, set up webhooks on the API console.","ref":"OurskyClient.Sda.html#get_observation_sequence_results/3"},{"type":"function","title":"Parameters - OurskyClient.Sda.get_observation_sequence_results/3","doc":"- `target_uuid`: The UUID of the target\n- `min_epoch`: The minimum epoch to filter results\n- `max_pages`: The maximum number of pages to retrieve (default: 100)","ref":"OurskyClient.Sda.html#get_observation_sequence_results/3-parameters"},{"type":"function","title":"Examples - OurskyClient.Sda.get_observation_sequence_results/3","doc":"iex> OurskyClient.Sda.get_observation_sequence_results(\"c0baf754-4561-4219-a559-03f648c1208e\", \"2025-03-21T00:00:00Z\")\n    {:ok, [%OurskyClient.Sda.ObservationSequenceResult{...}]}","ref":"OurskyClient.Sda.html#get_observation_sequence_results/3-examples"},{"type":"function","title":"OurskyClient.Sda.get_targets_by_norad_id/1","doc":"Get target information for a given NORAD ID","ref":"OurskyClient.Sda.html#get_targets_by_norad_id/1"},{"type":"function","title":"Examples - OurskyClient.Sda.get_targets_by_norad_id/1","doc":"iex> OurskyClient.Sda.get_targets_by_norad_id(\"25544\")\n    {:ok,\n    [\n      %OurskyClient.Sda.SatelliteTarget{\n        id: \"6e801835-4aae-4b78-9741-f10fbab472db\",\n        norad_id: \"25544\",\n        name: \"ISS (ZARYA)\",\n        description: nil,\n        area: 160.273,\n        mass: 20351.0,\n        classification: \"U\",\n        reflection_coefficient: nil,\n        launch_year: 1998,\n        elset_number: nil,\n        orbit_type: \"LEO\",\n        mean_motion: 15.497471470000002,\n        eccentricity: 4.053e-4,\n        inclination: 51.6381,\n        raan: 21.0488,\n        arg_of_perigee: 35.5022,\n        mean_anomaly: 296.1249,\n        epoch: ~U[2025-03-21 13:22:42Z],\n        mean_motion_dot: nil,\n        mean_motion_ddot: 0.0,\n        bstar: 0.0,\n        tle_line_1: \"1 25544U 98067A   25080.55743056  .00026289  00000-0  47116-3 0  9999\",\n        tle_line_2: \"2 25544  51.6381  21.0488 0004053  35.5022 296.1249 15.49747147501567\",\n        tracking_status: \"ACTIVE\",\n        linked_target_id: nil,\n        rev_at_epoch: 50156\n      }\n    ]}","ref":"OurskyClient.Sda.html#get_targets_by_norad_id/1-examples"},{"type":"function","title":"OurskyClient.Sda.get_tasked_targets/0","doc":"Get all targets tasked by your organization","ref":"OurskyClient.Sda.html#get_tasked_targets/0"},{"type":"function","title":"OurskyClient.Sda.schedule_plane_scan/3","doc":"Schedule a plane scan on a target\n - Searches a target's orbital plane in the specified angle range, centered on the target\n - Returns a UUID for the scan\n - Observations generated by the scan are available in the observation sequence results endpoint or webhooks\n - Webhooks for searches are also available in the API console","ref":"OurskyClient.Sda.html#schedule_plane_scan/3"},{"type":"function","title":"Parameters - OurskyClient.Sda.schedule_plane_scan/3","doc":"- `target_uuid`: The UUID of the target\n- `step_size`: The step size in degrees (default: 1.0)\n- `half_angle_range`: The half angle range in degrees (default: 5.0) - the scan will cover this range on either side of the target","ref":"OurskyClient.Sda.html#schedule_plane_scan/3-parameters"},{"type":"function","title":"OurskyClient.Sda.schedule_volumetric_search/5","doc":"Schedule a volumetric search on a target\n - Searches a volume around a target (volume is specified by a 3-sigma RIC uncertainty)\n - Returns a UUID for the search\n - Observations generated by the search are available in the observation sequence results endpoint or webhooks\n - Webhooks for searches are also available in the API console","ref":"OurskyClient.Sda.html#schedule_volumetric_search/5"},{"type":"function","title":"Parameters - OurskyClient.Sda.schedule_volumetric_search/5","doc":"- `target_uuid`: The UUID of the target\n- `radial_3_sigma`: The radial 3-sigma uncertainty in m (default: 20000.0)\n- `intrack_3_sigma`: The in-track 3-sigma uncertainty in m (default: 50000.0)\n- `cross_track_3_sigma`: The cross-track 3-sigma uncertainty in m (default: 10000.0)\n- `covariance_epoch`: The epoch of the covariance in ISO 8601 format (default: nil - use the current epoch)","ref":"OurskyClient.Sda.html#schedule_volumetric_search/5-parameters"},{"type":"function","title":"OurskyClient.Sda.task_observations_on_target/1","doc":"Task a target to be observed given a UUID (OurSky uses immutable UUIDs for each target- these can be retrieved using the get_targets_by_norad_id function)\n\nReturns an `OrganizationTarget` (`SatelliteTarget` + tasking information)","ref":"OurskyClient.Sda.html#task_observations_on_target/1"},{"type":"function","title":"Examples - OurskyClient.Sda.task_observations_on_target/1","doc":"iex> OurskyClient.Sda.task_observations_on_target(\"c0baf754-4561-4219-a559-03f648c1208e\")\n    {:ok,\n    %OurskyClient.Sda.OrganizationTarget{\n      created_at: ~U[2025-03-21 23:25:50.445716Z],\n      created_by: \"123e4567-e89b-12d3-a456-426614174000\",\n      id: \"333afd5e-9b4e-4811-8a18-fde7b2604fce\",\n      revisit_rate_minutes: nil,\n      satellite_target: %OurskyClient.Sda.SatelliteTarget{\n        id: \"c0baf754-4561-4219-a559-03f648c1208e\",\n        norad_id: \"41937\",\n        name: \"SBIRS GEO 4 (USA 273)\",\n        description: nil,\n        area: 33.213,\n        mass: nil,\n        classification: \"U\",\n        reflection_coefficient: nil,\n        launch_year: 2017,\n        elset_number: nil,\n        orbit_type: \"EGO\",\n        mean_motion: 0.9999522199999998,\n        eccentricity: 2.276e-4,\n        inclination: 1.5423,\n        raan: 21.6811,\n        arg_of_perigee: 329.5307,\n        mean_anomaly: 172.5673,\n        epoch: ~U[2025-03-21 09:49:38.672Z],\n        mean_motion_dot: nil,\n        mean_motion_ddot: 0.0,\n        bstar: 0.0,\n        tle_line_1: \"1 41937U 17004A   25080.40947537  .00000107  00000-0  00000-0 0  9998\",\n        tle_line_2: \"2 41937   1.5423  21.6811 0002276 329.5307 172.5673  0.99995222 30063\",\n        tracking_status: \"ACTIVE\",\n        linked_target_id: nil,\n        rev_at_epoch: 3006\n      }\n    }}","ref":"OurskyClient.Sda.html#task_observations_on_target/1-examples"},{"type":"function","title":"OurskyClient.Sda.untask_target/1","doc":"Untask a target given its UUID.","ref":"OurskyClient.Sda.html#untask_target/1"},{"type":"function","title":"Examples - OurskyClient.Sda.untask_target/1","doc":"iex> OurskyClient.Sda.untask_target(\"c0baf754-4561-4219-a559-03f648c1208e\")\n    {:ok, %{\"id\" => \"333afd5e-9b4e-4811-8a18-fde7b2604fce\"}}","ref":"OurskyClient.Sda.html#untask_target/1-examples"},{"type":"function","title":"OurskyClient.Sda.update_target/5","doc":"PUT request to update a target's TLE","ref":"OurskyClient.Sda.html#update_target/5"},{"type":"module","title":"OurskyClient.Sda.ImageSet","doc":"ImageSet struct for the SDA API\n\nformat from SDA docs:\n\"imageSets\": [\n  {\n    \"covariance\": [\n      [\n        1\n      ]\n    ],\n    \"id\": \"123e4567-e89b-12d3-a456-426614174000\",\n    \"nodeId\": \"123e4567-e89b-12d3-a456-426614174000\",\n    \"observationQuality\": {\n      \"distanceFromPredictionAverage\": 1,\n      \"distanceFromPredictionLineFitSlope\": 1,\n      \"distanceFromPredictionLineFitStdDev\": 1,\n      \"lineFitOffsetStdDev\": 1\n    },\n    \"observationResults\": [\n      {\n        \"apparentMagnitude\": 1,\n        \"astrometricOffsets\": {\n          \"decPlateSolveOffsetAverage\": 1,\n          \"decPlateSolveOffsetStdDev\": 1,\n          \"fwhmAverage\": 1,\n          \"fwhmStdDev\": 1,\n          \"raPlateSolveOffsetAverage\": 1,\n          \"raPlateSolveOffsetStdDev\": 1\n        },\n        \"boundingBox\": {\n          \"endX\": 1,\n          \"endY\": 1,\n          \"startX\": 1,\n          \"startY\": 1\n        },\n        \"correctedDec\": 1,\n        \"correctedRa\": 1,\n        \"dec\": 1,\n        \"distanceFromPrediction\": 1,\n        \"features\": [\n          {\n            \"apparentMagnitude\": 1,\n            \"boundingBox\": {\n              \"endX\": 1,\n              \"endY\": 1,\n              \"startX\": 1,\n              \"startY\": 1\n            },\n            \"correctedDec\": 1,\n            \"correctedRa\": 1,\n            \"dec\": 1,\n            \"distanceFromPrediction\": 1,\n            \"ra\": 1,\n            \"targetCorrelations\": [\n              {\n                \"angleFromStreak\": 1,\n                \"dec\": 1,\n                \"distanceFromStreak\": 1,\n                \"ra\": 1,\n                \"streakLength\": 1,\n                \"targetId\": \"123e4567-e89b-12d3-a456-426614174000\"\n              }\n            ],\n            \"timestamp\": \"2025-03-22T02:58:08.977Z\"\n          }\n        ],\n        \"geolat\": 1,\n        \"geolon\": 1,\n        \"imageId\": \"123e4567-e89b-12d3-a456-426614174000\",\n        \"imageUrl\": \"…\",\n        \"jpgUrl\": \"…\",\n        \"ra\": 1,\n        \"solarEqPhaseAngle\": 1,\n        \"solarPhaseAngle\": 1,\n        \"timestamp\": \"2025-03-22T02:58:08.977Z\",\n        \"timingAccuracy\": 1\n      }\n    ]\n  }\n],","ref":"OurskyClient.Sda.ImageSet.html"},{"type":"type","title":"OurskyClient.Sda.ImageSet.t/0","doc":"","ref":"OurskyClient.Sda.ImageSet.html#t:t/0"},{"type":"module","title":"OurskyClient.Sda.Node","doc":"Node struct for the SDA API","ref":"OurskyClient.Sda.Node.html"},{"type":"type","title":"OurskyClient.Sda.Node.t/0","doc":"","ref":"OurskyClient.Sda.Node.html#t:t/0"},{"type":"module","title":"OurskyClient.Sda.ObservationResult","doc":"format from docs:\n\n\"observationResults\": [\n      {\n        \"apparentMagnitude\": 1,\n        \"astrometricOffsets\": {\n          \"decPlateSolveOffsetAverage\": 1,\n          \"decPlateSolveOffsetStdDev\": 1,\n          \"fwhmAverage\": 1,\n          \"fwhmStdDev\": 1,\n          \"raPlateSolveOffsetAverage\": 1,\n          \"raPlateSolveOffsetStdDev\": 1\n        },\n        \"boundingBox\": {\n          \"endX\": 1,\n          \"endY\": 1,\n          \"startX\": 1,\n          \"startY\": 1\n        },\n        \"correctedDec\": 1,\n        \"correctedRa\": 1,\n        \"dec\": 1,\n        \"distanceFromPrediction\": 1,\n        \"features\": [\n          {\n            \"apparentMagnitude\": 1,\n            \"boundingBox\": {\n              \"endX\": 1,\n              \"endY\": 1,\n              \"startX\": 1,\n              \"startY\": 1\n            },\n            \"correctedDec\": 1,\n            \"correctedRa\": 1,\n            \"dec\": 1,\n            \"distanceFromPrediction\": 1,\n            \"ra\": 1,\n            \"targetCorrelations\": [\n              {\n                \"angleFromStreak\": 1,\n                \"dec\": 1,\n                \"distanceFromStreak\": 1,\n                \"ra\": 1,\n                \"streakLength\": 1,\n                \"targetId\": \"123e4567-e89b-12d3-a456-426614174000\"\n              }\n            ],\n            \"timestamp\": \"2025-03-22T02:58:08.977Z\"\n          }\n        ],\n        \"geolat\": 1,\n        \"geolon\": 1,\n        \"imageId\": \"123e4567-e89b-12d3-a456-426614174000\",\n        \"imageUrl\": \"…\",\n        \"jpgUrl\": \"…\",\n        \"ra\": 1,\n        \"solarEqPhaseAngle\": 1,\n        \"solarPhaseAngle\": 1,\n        \"timestamp\": \"2025-03-22T02:58:08.977Z\",\n        \"timingAccuracy\": 1\n      }\n    ]","ref":"OurskyClient.Sda.ObservationResult.html"},{"type":"type","title":"OurskyClient.Sda.ObservationResult.t/0","doc":"","ref":"OurskyClient.Sda.ObservationResult.html#t:t/0"},{"type":"module","title":"OurskyClient.Sda.ObservationSequenceResult","doc":"Struct for Observation Sequence Results\n\nformat of observation sequence results from the API docs:\n\n[\n{\n  \"createdAt\": \"2025-03-22T02:58:08.977Z\",\n  \"createdBy\": \"123e4567-e89b-12d3-a456-426614174000\",\n  \"generatedTleLine1\": \"…\",\n  \"generatedTleLine2\": \"…\",\n  \"id\": \"123e4567-e89b-12d3-a456-426614174000\",\n  \"imageSets\": [\n    {\n      \"covariance\": [\n        [\n          1\n        ]\n      ],\n      \"id\": \"123e4567-e89b-12d3-a456-426614174000\",\n      \"nodeId\": \"123e4567-e89b-12d3-a456-426614174000\",\n      \"observationQuality\": {\n        \"distanceFromPredictionAverage\": 1,\n        \"distanceFromPredictionLineFitSlope\": 1,\n        \"distanceFromPredictionLineFitStdDev\": 1,\n        \"lineFitOffsetStdDev\": 1\n      },\n      \"observationResults\": [\n        {\n          \"apparentMagnitude\": 1,\n          \"astrometricOffsets\": {\n            \"decPlateSolveOffsetAverage\": 1,\n            \"decPlateSolveOffsetStdDev\": 1,\n            \"fwhmAverage\": 1,\n            \"fwhmStdDev\": 1,\n            \"raPlateSolveOffsetAverage\": 1,\n            \"raPlateSolveOffsetStdDev\": 1\n          },\n          \"boundingBox\": {\n            \"endX\": 1,\n            \"endY\": 1,\n            \"startX\": 1,\n            \"startY\": 1\n          },\n          \"correctedDec\": 1,\n          \"correctedRa\": 1,\n          \"dec\": 1,\n          \"distanceFromPrediction\": 1,\n          \"features\": [\n            {\n              \"apparentMagnitude\": 1,\n              \"boundingBox\": {\n                \"endX\": 1,\n                \"endY\": 1,\n                \"startX\": 1,\n                \"startY\": 1\n              },\n              \"correctedDec\": 1,\n              \"correctedRa\": 1,\n              \"dec\": 1,\n              \"distanceFromPrediction\": 1,\n              \"ra\": 1,\n              \"targetCorrelations\": [\n                {\n                  \"angleFromStreak\": 1,\n                  \"dec\": 1,\n                  \"distanceFromStreak\": 1,\n                  \"ra\": 1,\n                  \"streakLength\": 1,\n                  \"targetId\": \"123e4567-e89b-12d3-a456-426614174000\"\n                }\n              ],\n              \"timestamp\": \"2025-03-22T02:58:08.977Z\"\n            }\n          ],\n          \"geolat\": 1,\n          \"geolon\": 1,\n          \"imageId\": \"123e4567-e89b-12d3-a456-426614174000\",\n          \"imageUrl\": \"…\",\n          \"jpgUrl\": \"…\",\n          \"ra\": 1,\n          \"solarEqPhaseAngle\": 1,\n          \"solarPhaseAngle\": 1,\n          \"timestamp\": \"2025-03-22T02:58:08.977Z\",\n          \"timingAccuracy\": 1\n        }\n      ]\n    }\n  ],\n  \"noradId\": \"…\",\n  \"targetId\": \"123e4567-e89b-12d3-a456-426614174000\"\n}\n]","ref":"OurskyClient.Sda.ObservationSequenceResult.html"},{"type":"type","title":"OurskyClient.Sda.ObservationSequenceResult.t/0","doc":"","ref":"OurskyClient.Sda.ObservationSequenceResult.html#t:t/0"},{"type":"module","title":"OurskyClient.Sda.OrganizationTarget","doc":"Data structure for organization targets","ref":"OurskyClient.Sda.OrganizationTarget.html"},{"type":"type","title":"OurskyClient.Sda.OrganizationTarget.t/0","doc":"","ref":"OurskyClient.Sda.OrganizationTarget.html#t:t/0"},{"type":"module","title":"OurskyClient.Sda.SatelliteTarget","doc":"Data structure for satellite targets","ref":"OurskyClient.Sda.SatelliteTarget.html"},{"type":"type","title":"OurskyClient.Sda.SatelliteTarget.t/0","doc":"","ref":"OurskyClient.Sda.SatelliteTarget.html#t:t/0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}